{ lib, ... }:
{
  imports = [
    ./hardware
    ./users
    ../../modules/system
  ];

  networking.hostName = "iso";

  system = {
    desktop.enable = true;
    wireless.enable = true;
    video.nvidia.enable = true;
    libvirtd.enable = true;
    stateVersion = "24.11";
  };

  environment.persistence."/persist".enable = lib.mkForce false;

  services = {
    btrfs.autoScrub.enable = lib.mkForce false;
    fstrim.enable = lib.mkForce false;
  };
}
